package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * ApRadiosConfig
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ApRadiosConfig   {
  @JsonProperty("radioSetting2g")
  private ApRadioSetting radioSetting2g;

  @JsonProperty("radioSetting5g")
  private ApRadioSetting radioSetting5g;

  @JsonProperty("radioSetting5g1")
  private ApRadioSetting radioSetting5g1;

  @JsonProperty("radioSetting5g2")
  private ApRadioSetting radioSetting5g2;

  @JsonProperty("radioSetting6g")
  private ApRadioSetting radioSetting6g;

  public ApRadiosConfig radioSetting2g(ApRadioSetting radioSetting2g) {
    this.radioSetting2g = radioSetting2g;
    return this;
  }

  /**
   * Get radioSetting2g
   * @return radioSetting2g
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioSetting getRadioSetting2g() {
    return radioSetting2g;
  }

  public void setRadioSetting2g(ApRadioSetting radioSetting2g) {
    this.radioSetting2g = radioSetting2g;
  }

  public ApRadiosConfig radioSetting5g(ApRadioSetting radioSetting5g) {
    this.radioSetting5g = radioSetting5g;
    return this;
  }

  /**
   * Get radioSetting5g
   * @return radioSetting5g
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioSetting getRadioSetting5g() {
    return radioSetting5g;
  }

  public void setRadioSetting5g(ApRadioSetting radioSetting5g) {
    this.radioSetting5g = radioSetting5g;
  }

  public ApRadiosConfig radioSetting5g1(ApRadioSetting radioSetting5g1) {
    this.radioSetting5g1 = radioSetting5g1;
    return this;
  }

  /**
   * Get radioSetting5g1
   * @return radioSetting5g1
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioSetting getRadioSetting5g1() {
    return radioSetting5g1;
  }

  public void setRadioSetting5g1(ApRadioSetting radioSetting5g1) {
    this.radioSetting5g1 = radioSetting5g1;
  }

  public ApRadiosConfig radioSetting5g2(ApRadioSetting radioSetting5g2) {
    this.radioSetting5g2 = radioSetting5g2;
    return this;
  }

  /**
   * Get radioSetting5g2
   * @return radioSetting5g2
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioSetting getRadioSetting5g2() {
    return radioSetting5g2;
  }

  public void setRadioSetting5g2(ApRadioSetting radioSetting5g2) {
    this.radioSetting5g2 = radioSetting5g2;
  }

  public ApRadiosConfig radioSetting6g(ApRadioSetting radioSetting6g) {
    this.radioSetting6g = radioSetting6g;
    return this;
  }

  /**
   * Get radioSetting6g
   * @return radioSetting6g
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApRadioSetting getRadioSetting6g() {
    return radioSetting6g;
  }

  public void setRadioSetting6g(ApRadioSetting radioSetting6g) {
    this.radioSetting6g = radioSetting6g;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApRadiosConfig apRadiosConfig = (ApRadiosConfig) o;
    return Objects.equals(this.radioSetting2g, apRadiosConfig.radioSetting2g) &&
        Objects.equals(this.radioSetting5g, apRadiosConfig.radioSetting5g) &&
        Objects.equals(this.radioSetting5g1, apRadiosConfig.radioSetting5g1) &&
        Objects.equals(this.radioSetting5g2, apRadiosConfig.radioSetting5g2) &&
        Objects.equals(this.radioSetting6g, apRadiosConfig.radioSetting6g);
  }

  @Override
  public int hashCode() {
    return Objects.hash(radioSetting2g, radioSetting5g, radioSetting5g1, radioSetting5g2, radioSetting6g);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApRadiosConfig {\n");
    
    sb.append("    radioSetting2g: ").append(toIndentedString(radioSetting2g)).append("\n");
    sb.append("    radioSetting5g: ").append(toIndentedString(radioSetting5g)).append("\n");
    sb.append("    radioSetting5g1: ").append(toIndentedString(radioSetting5g1)).append("\n");
    sb.append("    radioSetting5g2: ").append(toIndentedString(radioSetting5g2)).append("\n");
    sb.append("    radioSetting6g: ").append(toIndentedString(radioSetting6g)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

